let url_Backend_dwinzo = `http://${process.env.REACT_APP_SERVER_REST_API_BASE_URL}`;

export const setWallItem = async (
  organization: string,
  modelUuid: string,
  modelName: string,
  type: string,
  csgposition: Object,
  csgscale: Object,
  position: Object,
  quaternion: Object,
  scale: Object
) => {
  try {
    const response = await fetch(`${url_Backend_dwinzo}/api/v1/setWallItems`, {
      method: "POST",
      headers: {
        Authorization: "Bearer <access_token>",
        "Content-Type": "application/json",
        token: localStorage.getItem("token") || "",
        refresh_token: localStorage.getItem("refreshToken") || "",
      },
      body: JSON.stringify({
        organization,
        modelUuid,
        modelName,
        position,
        type,
        csgposition,
        csgscale,
        quaternion,
        scale,
      }),
    });

    const newAccessToken = response.headers.get("x-access-token");
    if (newAccessToken) {
      //console.log("New token received:", newAccessToken);
      localStorage.setItem("token", newAccessToken);
    }
    if (!response.ok) {
      console.error("Failed to set or update Wall Item");
    }

    const result = await response.json();
    return result;
  } catch (error) {
    echo.error("Failed to set wall items");
    if (error instanceof Error) {
      console.log(error.message);
    } else {
      console.log("An unknown error occurred");
    }
  }
};
